Package org.springframework.beans

# Interface PropertyValues

All Superinterfaces:
  `Iterable<PropertyValue>`

All Known Implementing Classes:
  `MutablePropertyValues`

public interface PropertyValues extends Iterable<PropertyValue>
Holder containing one or more `PropertyValue` objects, typically comprising one update for a specific target bean.

Since:
  13 May 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `PropertyValue`

## Method Summary

Modifier and Type
Method
Description
`PropertyValues`
`changesSince(PropertyValues old)`
Return the changes since the previous PropertyValues.
`boolean`
`contains(String propertyName)`
Is there a property value (or other processing entry) for this property?
`PropertyValue`
`getPropertyValue(String propertyName)`
Return the property value with the given name, if any.
`PropertyValue[]`
`getPropertyValues()`
Return an array of the PropertyValue objects held in this object.
`boolean`
`isEmpty()`
Does this holder not contain any PropertyValue objects at all?
`default Iterator<PropertyValue>`
`iterator()`
Return an `Iterator` over the property values.
`default Spliterator<PropertyValue>`
`spliterator()`
Return a `Spliterator` over the property values.
`default Stream<PropertyValue>`
`stream()`
Return a sequential `Stream` containing the property values.

### Methods inherited from interface java.lang.Iterable

`forEach`

## Method Details

### iterator

default Iterator<PropertyValue> iterator()
Return an `Iterator` over the property values.

Specified by:
  `iterator` in interface `Iterable<PropertyValue>`
Since:
  5.1

### spliterator

default Spliterator<PropertyValue> spliterator()
Return a `Spliterator` over the property values.

Specified by:
  `spliterator` in interface `Iterable<PropertyValue>`
Since:
  5.1

### stream

default Stream<PropertyValue> stream()
Return a sequential `Stream` containing the property values.

Since:
  5.1

### getPropertyValues

PropertyValue[] getPropertyValues()
Return an array of the PropertyValue objects held in this object.

### getPropertyValue

@Nullable PropertyValue getPropertyValue(String propertyName)
Return the property value with the given name, if any.

Parameters:
  `propertyName` - the name to search for
Returns:
  the property value, or `null` if none

### changesSince

PropertyValues changesSince(PropertyValues old)
Return the changes since the previous PropertyValues. Subclasses should also override `equals`.

Parameters:
  `old` - the old property values
Returns:
  the updated or new properties. Return empty PropertyValues if there are no changes.
See Also:
  - `Object.equals(java.lang.Object)`

### contains

boolean contains(String propertyName)
Is there a property value (or other processing entry) for this property?

Parameters:
  `propertyName` - the name of the property we're interested in
Returns:
  whether there is a property value for this property

### isEmpty

boolean isEmpty()
Does this holder not contain any PropertyValue objects at all?